# FILTER.CONFIG
# These properties control what kinds of things are elided in diagrams
# when the particular filter is active. Filters are all fully user-definable,
# not just those labeled "User Defined". However, you will probably find that the
# pre-defined filters plus your customization of the two user-defined filters
#  are sufficient for your needs. See further comments below.

# SHOW OPTIONS - VIEW MANAGEMENT TAB - EDITOR DEFINITION
optionsEditor.item.View Management.item.Filters.name=["filters/filters"]
optionsEditor.item.View Management.item.Filters.view.description = ["filters/filters_description"]

# Note: If you do not want to use one of the predefined filters and do not want
#       it to appear as an option in the Options dialog, comment out all lines of
#       the filter section (e.g. "All Classes"). Conversely, you can create a new
#       filter and display it in the Options dialog by copying any of the filter
#       sections below and modifying the lines as necessary to get the filtering
#       you want.

# ----------------------------------------
# BEGIN VIEW MANAGEMENT TAB - SHOW OPTIONS
# ----------------------------------------
# "All Packages" option
filter.a = hasProperty("$physicalPackage")
filter.a.state = off
filter.a.name = ["filters/all_packages"]
filter.a.icon = "Filter/PackagesHidden.gif"
filter.a.tooltip = ["filters/show_hide_all_packages"]

optionsEditor.item.View Management.item.Filters.item.A = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.A.trigger = nameFromProperty("filter.a.name")
optionsEditor.item.View Management.item.Filters.item.A.propertyName = filter.a.state
optionsEditor.item.View Management.item.Filters.item.A.order = 10
optionsEditor.item.View Management.item.Filters.item.A.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.A.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.A.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.A.item.shortName.propertyName = filter.a.name
optionsEditor.item.View Management.item.Filters.item.A.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.A.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.A.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.A.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.A.item.Expression.propertyName = filter.a
optionsEditor.item.View Management.item.Filters.item.A.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.A.item.Expression.view.helpContext = "FilterExpression"


# "All Classes" option
filter.b = hasPropertyValue("$shapeType", "Class" ) && !hasProperty("$interface")
filter.b.state = off
filter.b.name = ["filters/all_classes"]
filter.b.icon = "Filter/ClassesHidden.gif"
filter.b.tooltip = ["filters/show_hide_all_classes"]

optionsEditor.item.View Management.item.Filters.item.B = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.B.trigger = nameFromProperty("filter.b.name")
optionsEditor.item.View Management.item.Filters.item.B.propertyName = filter.b.state
optionsEditor.item.View Management.item.Filters.item.B.order = 20
optionsEditor.item.View Management.item.Filters.item.B.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.B.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.B.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.B.item.shortName.propertyName = filter.b.name
optionsEditor.item.View Management.item.Filters.item.B.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.B.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.B.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.B.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.B.item.Expression.propertyName = filter.b
optionsEditor.item.View Management.item.Filters.item.B.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.B.item.Expression.view.helpContext = "FilterExpression"


# "All Interfaces" option
filter.c = hasPropertyValue("$shapeType", "Class" ) && hasProperty("$interface")
filter.c.state = off
filter.c.name = ["filters/all_interfaces"]
filter.c.icon = "Filter/InheritanceHidden.gif"
filter.c.tooltip = ["filters/show_hide_all_interfaces"]

optionsEditor.item.View Management.item.Filters.item.C = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.C.trigger = nameFromProperty("filter.c.name")
optionsEditor.item.View Management.item.Filters.item.C.propertyName = filter.c.state
optionsEditor.item.View Management.item.Filters.item.C.order = 30
optionsEditor.item.View Management.item.Filters.item.C.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.C.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.C.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.C.item.shortName.propertyName = filter.c.name
optionsEditor.item.View Management.item.Filters.item.C.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.C.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.C.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.C.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.C.item.Expression.propertyName = filter.c
optionsEditor.item.View Management.item.Filters.item.C.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.C.item.Expression.view.helpContext = "FilterExpression"


# "Non-public Classes/Interfaces" option
filter.d = hasPropertyValue("$shapeType", "Class" ) && !hasProperty("$public")
filter.d.state = off
filter.d.name = ["filters/non_public_classes_interfaces"]
filter.d.icon = "Filter/PrivateClassesHidden.gif"
filter.d.tooltip = ["filters/show_hide_non_public_classes_interfaces"]

optionsEditor.item.View Management.item.Filters.item.D = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.D.trigger = nameFromProperty("filter.d.name")
optionsEditor.item.View Management.item.Filters.item.D.propertyName = filter.d.state
optionsEditor.item.View Management.item.Filters.item.D.order = 40
optionsEditor.item.View Management.item.Filters.item.D.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.D.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.D.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.D.item.shortName.propertyName = filter.d.name
optionsEditor.item.View Management.item.Filters.item.D.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.D.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.D.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.D.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.D.item.Expression.propertyName = filter.d
optionsEditor.item.View Management.item.Filters.item.D.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.D.item.Expression.view.helpContext = "FilterExpression"

filter.d1 = hasPropertyValue("$shapeType", "Attribute" )
filter.d1.state = off
filter.d1.name = ["filters/all_attributes"]
filter.d1.tooltip = ["filters/show_hide_all_attributes"]

optionsEditor.item.View Management.item.Filters.item.D1 = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.D1.trigger = nameFromProperty("filter.d1.name")
optionsEditor.item.View Management.item.Filters.item.D1.propertyName = filter.d1.state
optionsEditor.item.View Management.item.Filters.item.D1.order = 42
optionsEditor.item.View Management.item.Filters.item.D1.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.D1.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.D1.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.D1.item.shortName.propertyName = filter.d1.name
optionsEditor.item.View Management.item.Filters.item.D1.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.D1.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.D1.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.D1.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.D1.item.Expression.propertyName = filter.d1
optionsEditor.item.View Management.item.Filters.item.D1.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.D1.item.Expression.view.helpContext = "FilterExpression"

filter.d2 = hasPropertyValue("$shapeType", "Operation" )
filter.d2.state = off
filter.d2.name = ["filters/all_operations"]
filter.d2.tooltip = ["filters/show_hide_all_operations"]

optionsEditor.item.View Management.item.Filters.item.D2 = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.D2.trigger = nameFromProperty("filter.d2.name")
optionsEditor.item.View Management.item.Filters.item.D2.propertyName = filter.d2.state
optionsEditor.item.View Management.item.Filters.item.D2.order = 43
optionsEditor.item.View Management.item.Filters.item.D2.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.D2.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.D2.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.D2.item.shortName.propertyName = filter.d2.name
optionsEditor.item.View Management.item.Filters.item.D2.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.D2.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.D2.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.D2.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.D2.item.Expression.propertyName = filter.d2
optionsEditor.item.View Management.item.Filters.item.D2.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.D2.item.Expression.view.helpContext = "FilterExpression"


# "All Members" option
filter.e = ( ( hasPropertyValue("$shapeType", "Attribute" ) || hasPropertyValue("$shapeType", "Operation" ) ) || hasPropertyValue("$shapeType", "BeanEventSet" ) ) || hasPropertyValue("$shapeType", "BeanProperty" )
filter.e.state = off
filter.e.name = ["filters/all_members"]
filter.e.icon = "Filter/MembersHidden.gif"
filter.e.tooltip = ["filters/show_hide_all_members"]

optionsEditor.item.View Management.item.Filters.item.E = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.E.trigger = nameFromProperty("filter.e.name")
optionsEditor.item.View Management.item.Filters.item.E.propertyName = filter.e.state
optionsEditor.item.View Management.item.Filters.item.E.order = 50
optionsEditor.item.View Management.item.Filters.item.E.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.E.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.E.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.E.item.shortName.propertyName = filter.e.name
optionsEditor.item.View Management.item.Filters.item.E.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.E.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.E.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.E.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.E.item.Expression.propertyName = filter.e
optionsEditor.item.View Management.item.Filters.item.E.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.E.item.Expression.view.helpContext = "FilterExpression"


# "Access Methods" option
filter.f = ( ( ( hasProperty("$getOperation") || hasProperty("$setOperation") ) || hasProperty("$adderOperation") ) || hasProperty("$removerOperation") )
filter.f.state = off
filter.f.name = ["filters/access_methods"]
filter.f.icon = "Filter/Get_SetHidden.gif"
filter.f.tooltip = ["filters/show_hide_access_methods"]

optionsEditor.item.View Management.item.Filters.item.F = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.F.trigger = nameFromProperty("filter.f.name")
optionsEditor.item.View Management.item.Filters.item.F.propertyName = filter.f.state
optionsEditor.item.View Management.item.Filters.item.F.order = 60
optionsEditor.item.View Management.item.Filters.item.F.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.F.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.F.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.F.item.shortName.propertyName = filter.f.name
optionsEditor.item.View Management.item.Filters.item.F.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.F.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.F.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.F.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.F.item.Expression.propertyName = filter.f
optionsEditor.item.View Management.item.Filters.item.F.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.F.item.Expression.view.helpContext = "FilterExpression"


# "Non-public Members" option
filter.g =
\   ( hasPropertyValue("$shapeType", "Attribute" )
\     || hasPropertyValue("$shapeType", "Operation" ))
\   && !hasProperty("$public")
filter.g.state = off
filter.g.name = ["filters/non_public_members"]
filter.g.icon = "Filter/PrivateMembersHidden.gif"
filter.g.tooltip = ["filters/show_hide_non_public_members"]

optionsEditor.item.View Management.item.Filters.item.G = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.G.trigger = nameFromProperty("filter.g.name")
optionsEditor.item.View Management.item.Filters.item.G.propertyName = filter.g.state
optionsEditor.item.View Management.item.Filters.item.G.order = 70
optionsEditor.item.View Management.item.Filters.item.G.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.G.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.G.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.G.item.shortName.propertyName = filter.g.name
optionsEditor.item.View Management.item.Filters.item.G.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.G.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.G.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.G.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.G.item.Expression.propertyName = filter.g
optionsEditor.item.View Management.item.Filters.item.G.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.G.item.Expression.view.helpContext = "FilterExpression"


# "Associations" option
filter.h = hasPropertyValue("$shapeType", "AssociationLink" )
filter.h.state = off
filter.h.name = ["filters/associations"]
filter.h.icon = "Filter/AssociationHidden.gif"
filter.h.tooltip = ["filters/show_hide_associations"]

optionsEditor.item.View Management.item.Filters.item.H = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.H.trigger = nameFromProperty("filter.h.name")
optionsEditor.item.View Management.item.Filters.item.H.propertyName = filter.h.state
optionsEditor.item.View Management.item.Filters.item.H.order = 80
optionsEditor.item.View Management.item.Filters.item.H.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.H.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.H.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.H.item.shortName.propertyName = filter.h.name
optionsEditor.item.View Management.item.Filters.item.H.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.H.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.H.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.H.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.H.item.Expression.propertyName = filter.h
optionsEditor.item.View Management.item.Filters.item.H.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.H.item.Expression.view.helpContext = "FilterExpression"

# "Inheritance" option
filter.i = hasPropertyValue("$shapeType", "GeneralizationLink" ) || hasPropertyValue("$shapeType", "ImplementationLink" )
filter.i.state = off
filter.i.name = ["filters/inheritance"]
filter.i.icon = "Filter/InheritanceHidden.gif"
filter.i.tooltip = ["filters/show_hide_inheritance"]

optionsEditor.item.View Management.item.Filters.item.I = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.I.trigger = nameFromProperty("filter.i.name")
optionsEditor.item.View Management.item.Filters.item.I.propertyName = filter.i.state
optionsEditor.item.View Management.item.Filters.item.I.order = 90
optionsEditor.item.View Management.item.Filters.item.I.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.I.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.I.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.I.item.shortName.propertyName = filter.i.name
optionsEditor.item.View Management.item.Filters.item.I.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.I.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.I.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.I.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.I.item.Expression.propertyName = filter.i
optionsEditor.item.View Management.item.Filters.item.I.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.I.item.Expression.view.helpContext = "FilterExpression"


# "Dependencies" option
filter.j = hasPropertyValue("$shapeType", "DependencyLink" )
filter.j.state = off
filter.j.name = ["filters/dependencies"]
filter.j.icon = "Filter/DependencyHidden.gif"
filter.j.tooltip = ["filters/show_hide_dependencies"]

optionsEditor.item.View Management.item.Filters.item.J = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.J.trigger = nameFromProperty("filter.j.name")
optionsEditor.item.View Management.item.Filters.item.J.propertyName = filter.j.state
optionsEditor.item.View Management.item.Filters.item.J.order = 100
optionsEditor.item.View Management.item.Filters.item.J.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.J.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.J.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.J.item.shortName.propertyName = filter.j.name
optionsEditor.item.View Management.item.Filters.item.J.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.J.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.J.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.J.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.J.item.Expression.propertyName = filter.j
optionsEditor.item.View Management.item.Filters.item.J.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.J.item.Expression.view.helpContext = "FilterExpression"

# "Pattern links" option
filter.k = hasPropertyValue("$shapeType", "PatternLink" )
filter.k.state = off
filter.k.name = ["filters/pattern_links"]
filter.k.icon = "Filter/PatternLinkHidden.gif"
filter.k.tooltip = ["filters/show_hide_pattern_links"]

optionsEditor.item.View Management.item.Filters.item.K = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.K.trigger = nameFromProperty("filter.k.name")
optionsEditor.item.View Management.item.Filters.item.K.propertyName = filter.k.state
optionsEditor.item.View Management.item.Filters.item.K.order = 110
optionsEditor.item.View Management.item.Filters.item.K.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.K.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.K.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.K.item.shortName.propertyName = filter.k.name
optionsEditor.item.View Management.item.Filters.item.K.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.K.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.K.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.K.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.K.item.Expression.propertyName = filter.k
optionsEditor.item.View Management.item.Filters.item.K.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.K.item.Expression.view.helpContext = "FilterExpression"

# "Hidden by tag" option
filter.l = hasProperty("hidden") || hasPropertyValue("showas", "hidden")
filter.l.state = off
filter.l.name = ["filters/hidden_by_tag"]
filter.l.tooltip = ["filters/show_hide_hidden_by_tag"]

optionsEditor.item.View Management.item.Filters.item.L = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.L.trigger = nameFromProperty("filter.l.name")
optionsEditor.item.View Management.item.Filters.item.L.propertyName = filter.l.state
optionsEditor.item.View Management.item.Filters.item.L.order = 120
optionsEditor.item.View Management.item.Filters.item.L.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.L.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.L.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.L.item.shortName.propertyName = filter.l.name
optionsEditor.item.View Management.item.Filters.item.L.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.L.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.L.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.L.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.L.item.Expression.propertyName = filter.l
optionsEditor.item.View Management.item.Filters.item.L.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.L.item.Expression.view.helpContext = "FilterExpression"


# "Userdefined" option (#1)
filter.m = false
filter.m.state = off
filter.m.name = ["filters/user_defined"]
filter.m.icon = "Filter/User1Hidden.gif"
filter.m.tooltip = ["filters/user_defined_toolip"]

optionsEditor.item.View Management.item.Filters.item.M = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.M.trigger = nameFromProperty("filter.m.name")
optionsEditor.item.View Management.item.Filters.item.M.propertyName = filter.m.state
optionsEditor.item.View Management.item.Filters.item.M.order = 130
optionsEditor.item.View Management.item.Filters.item.M.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.M.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.M.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.M.item.shortName.propertyName = filter.m.name
optionsEditor.item.View Management.item.Filters.item.M.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.M.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.M.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.M.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.M.item.Expression.propertyName = filter.m
optionsEditor.item.View Management.item.Filters.item.M.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.M.item.Expression.view.helpContext = "FilterExpression"


# "Userdefined" option (#2)
filter.n = false
filter.n.state = off
filter.n.name = ["filters/user_defined"]
filter.n.icon = "Filter/User2Hidden.gif"
filter.n.tooltip = ["filters/user_defined_tooltip"]

optionsEditor.item.View Management.item.Filters.item.N = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.N.trigger = nameFromProperty("filter.n.name")
optionsEditor.item.View Management.item.Filters.item.N.propertyName = filter.n.state
optionsEditor.item.View Management.item.Filters.item.N.order = 140
optionsEditor.item.View Management.item.Filters.item.N.item.shortName.name = ["filters/filter_shortName"]
optionsEditor.item.View Management.item.Filters.item.N.item.shortName = StringField
optionsEditor.item.View Management.item.Filters.item.N.item.shortName.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.N.item.shortName.propertyName = filter.n.name
optionsEditor.item.View Management.item.Filters.item.N.item.shortName.order = 10
optionsEditor.item.View Management.item.Filters.item.N.item.Expression.name = ["filters/filter_expression"]
optionsEditor.item.View Management.item.Filters.item.N.item.Expression = ExtendedStringField
optionsEditor.item.View Management.item.Filters.item.N.item.Expression.condition = isGlobalOptions()
optionsEditor.item.View Management.item.Filters.item.N.item.Expression.propertyName = filter.n
optionsEditor.item.View Management.item.Filters.item.N.item.Expression.order = 40
optionsEditor.item.View Management.item.Filters.item.N.item.Expression.view.helpContext = "FilterExpression"

filter.EJB Home = hasProperty("$ejbHome" )
filter.EJB Home.state = on
filter.EJB Home.name = EJB Home interfaces

optionsEditor.item.View Management.item.Filters.item.EJB Home = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.EJB Home.trigger = nameFromProperty("filter.EJB Home.name")
optionsEditor.item.View Management.item.Filters.item.EJB Home.propertyName = filter.EJB Home.state
optionsEditor.item.View Management.item.Filters.item.EJB Home.name = ["viewManagement/EJB_Home"]
optionsEditor.item.View Management.item.Filters.item.EJB Home.view.description = ["viewManagement/EJB_Home_description"]

filter.EJB Remote = hasProperty("$ejbRemote" )
filter.EJB Remote.state = on
filter.EJB Remote.name = EJB Remote interfaces

optionsEditor.item.View Management.item.Filters.item.EJB Remote = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.EJB Remote.trigger = nameFromProperty("filter.EJB Remote.name")
optionsEditor.item.View Management.item.Filters.item.EJB Remote.propertyName = filter.EJB Remote.state
optionsEditor.item.View Management.item.Filters.item.EJB Remote.name = ["viewManagement/EJB_Remote"]
optionsEditor.item.View Management.item.Filters.item.EJB Remote.view.description = ["viewManagement/EJB_Remote_description"]

filter.EJB Bean = hasProperty("$ejbBean")
filter.EJB Bean.state = off
filter.EJB Bean.name = EJB implementation classes

optionsEditor.item.View Management.item.Filters.item.EJB Bean = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.EJB Bean.trigger = nameFromProperty("filter.EJB Bean.name")
optionsEditor.item.View Management.item.Filters.item.EJB Bean.propertyName = filter.EJB Bean.state
optionsEditor.item.View Management.item.Filters.item.EJB Bean.name = ["viewManagement/EJB_Bean"]
optionsEditor.item.View Management.item.Filters.item.EJB Bean.view.description = ["viewManagement/EJB_Bean_description"]

filter.EJB PK = hasProperty("$possibleEjbPrimaryKey")
filter.EJB PK.state = on
filter.EJB PK.name = EJB primary key classes

optionsEditor.item.View Management.item.Filters.item.EJB PK = InversedBooleanField
optionsEditor.item.View Management.item.Filters.item.EJB PK.trigger = nameFromProperty("filter.EJB PK.name")
optionsEditor.item.View Management.item.Filters.item.EJB PK.propertyName = filter.EJB PK.state
optionsEditor.item.View Management.item.Filters.item.EJB PK.name = ["viewManagement/EJB_PK"]
optionsEditor.item.View Management.item.Filters.item.EJB PK.view.description = ["viewManagement/EJB_PK_description"]

